Using Mapsforge themes with LoMaps

Rolf Herrmann shared this problem 6 months ago
In Progress

I am trying to use non-LocusMap Mapsforge theme (e.g. active RT5) with LoMaps. I can select only internal LoMaps themes. Is that on purpose? Is there a way to make active RT5 work with LoMaps?

Replies (1)

photo
1

As far as I know, LoMaps are build in Mapsforge 3.0 version. active RT5 theme is designed for maps in Mapsforge 4.0 or 5.0 version. Therefore only internal LoMaps themes are shown for LoMaps.

You have to use themes that are desgned for the Mapsforge version of the corresponding maps.

Maybe there is a active RT5 theme for Mapsforge maps Version 3.0 or you use Mapsforge maps, for example OAM, which fits for the active RT5 theme.

Some themes for Locus can be found here.

photo
1

Are there any plans to upgrade the LoMaps to Mapsforge 4.0/5.0 in the near future?

What are the key advantages of Mapsforge 4.0/5.0 maps over 3.0?

photo
2

Hello,

we have plans to upgrade LoMaps to V4/V5, but it won't be this year (probably).

The advantage for LoMaps is better displaying of names of the cities. The disadvantage could be the loss of some features that we custom-made for V3 and probably slower rendering.

For this season we have tasks with higher priority, so we'll make the final decision at the turn of the year.


Zdenek, Locus team

photo
Leave a Comment
 
Attach a file